import { jsx } from "react/jsx-runtime";
import { SmileyWink as SmileyWink$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const SmileyWink = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "SmileyWink", ...props, children: /* @__PURE__ */ jsx(SmileyWink$1, { weight: variant }) });
  }
);
SmileyWink.displayName = "SmileyWink";
Object.assign(SmileyWink, { isGdsIcon: true });
export {
  SmileyWink
};
